Support » Plugin: WPC Composite Products for WooCommerce » Not compatible with WPML and slow support

  • pastidea

    (@pastidea)


    I have tested many composite products plugins for WooCommerce and found this one, which at first glance seemed to be perfect for my needs. So I purchased and configured the premium version.
    But, only later it turned out not to be fully compatible with WPML and is so still creating huge issues on my site. Why?
    The components in the cart won’t synchronize properly when switching language, so the only way to make this work is by enabling: “Prompt for a confirmation and reset the cart” in WooCommerce Multilingual. But this is not a proper solution, many customers get confused and annoyed by this warning and their cart being emptied.
    I contacted WPML, which provided a good customer support and were willing to collaborate with the developers in order to make the plugin fully compatible with WPML. Then I tried to get in touch with the WPClever support team and it was not easy at all. I had to wait for around three weeks to get somebody to look at the issue. And, the response I got is that they have a high workload and can’t work on the solution right now. They proposed me some code that would simply “hide” the popup warning, but with the cart still being emptied when switching the language. That made the whole thing even worse.
    I think that it is deceiving to write that the plugin provides a “WPML integration for building multilingual sites” on the plugin’s page. It is simply not compatible with WPML. I really hope that somebody will look at this issue soon and get it to work together with WPML properly. WPML is the most common and most used plugin to make a WordPress page work multilingual. Switching to another plugin is not imaginable for most of us, as we have spent quite some time setting it up and translating different types of content.
    I understand that support might be slow because of the whole Covid restrictions as you claim, but other developers manage to provide great support even in these times of change.

Viewing 1 replies (of 1 total)
  • Plugin Support haithh93

    (@haithh93)

    Hi @pastidea,
    We are very sorry that it’s not working on your site.
    We will check your issue and fix it as soon as possible.
    If you’re using the Premium version, you can kindly contact our Support Forum
    https://wpc.ticksy.com/ to have our developers checking and making it work for your site.

    Best regards.

    • This reply was modified 9 months ago by haithh93.
Viewing 1 replies (of 1 total)
  • The topic ‘Not compatible with WPML and slow support’ is closed to new replies.